# Clase hija de Menu que representa una dieta por grupos de edad
class DietaPorAlimentos < Menu::Menu
	# Atributos
	attr_reader :dieta, :alimentos

	# Meodo initialize para la llamada del new
	def initialize(alim)
		@dieta = Lista.new()
		@alimentos = alim
	end

	# Método que introduce un menú en la lista
	def push(menu)
		@dieta.insert_final(menu)
	end

	#Método que extrae un menú de la lista
	def pop
		@dieta.extract_inicio
	end
end
