# Clase hija de Menu que representa una dieta por grupos de alimentos
class DietaPorEdades < Menu::Menu
	# Atributos
	attr_reader :dieta, :edades

	# Meodo initialize para la llamada del new
	def initialize(edad)
		@dieta = Lista.new()
		@edades = edad
	end

	# Método que introduce un menú en la lista
	def push(menu)
		@dieta.insert_final(menu)
	end
	
	#Método que extrae un menú de la lista
	def pop
		@dieta.extract_inicio
	end
end
